<?php

require_once('UIViewController.php');


class AppViewController extends UIViewController
{	

	function init()
	{		
		
	}
	
	function show($routeArray = null)
	{
		$className = get_called_class();
		$app = UIApplication::sharedApplication();
		$app->debug($className." show");
		
		$view = $app->view;

		
		$action = ($routeArray == null) ? '' : array_shift($routeArray);
				
		switch($action)
		{						
		case '':
			$view->message = 'WELCOME';

			
			$this->assign('view', $view);
			$this->display('Views/AppView.php');
			break;
			
		case 'about':
			$view->message = "This is a small php framework for starter.";
			$view->link = "";
			$view->buttonName = "back";

			
			$this->assign('view', $view);
			$this->display('Views/MessageView.php');
			break;
			
		default:
			$view->message = "Are you lost?";
			$view->buttonName = "GO HOME";
			$view->link = "";
			
			$this->assign('view', $view);
			$this->display('Views/MessageView.php');
			break;
		}
		
	}

	
	

	
	function showView($message)
	{
		$view = (object)array();
		$view->title = get_called_class();
		$view->path = $app->scriptPath;
		
		
		
		require_once('Models/User.php');		
		$user = new User();
		$user->username = "james";
		$user->password = "0000";
		$user->name = "James";
		$user->email = "james@example.com";
		$user->userLevel = 0;
		$user->tag = '';
		$user->timestamp = time();
		$user->save();

		$user = User::find($user->id);
		$user->tag = "add a tag";
		$user->save();
		
		$view->message = '<pre>'.print_r($user, true).'</pre>';
		
	
		$this->assign('view', $view);
		$this->display('Views/AppView.php');	

	}


}

?>