<?php

require_once('UIViewController.php');
require_once('Models/Event.php');

class DSEventViewController extends UIViewController
{

	function init()
	{		

	}
	
	function show($routeArray = null)
	{

		$className = get_called_class();
		$app = UIApplication::sharedApplication();
		$app->debug($className." show");
		
				
		$view = $app->view;


		$action = ($routeArray == null) ? '' : array_shift($routeArray);
		$app->debug($className." show");
		
		
		if($action == 'add')
		{
		
			if($app->requestMethod == 'POST')
			{
				$eventName = $_POST['eventName'];
				$returnURL = $_POST['returnURL'];
				
				$event = new Event();
				$event->id = 0;
				$event->eventName = $eventName;
				$event->eventTime = date('Y-m-d H:i:s O');
				$event->timestamp = time();
				$event->save();
			
				if($returnURL != '')
				{
					header('Location: '.$app->scriptPath.$returnURL);
					return;
					//$view->message = $app->scriptPath.$returnURL;
					//$view->link = "event";
					
					//$this->assign('view', $view);
					//$this->display('Views/DSMessageView.php');
					//return;
				}
				
				//$view->message = "儲存成功。";
				//$view->link = "event";
				
				//$this->assign('view', $view);
				//$this->display('Views/DSMessageView.php');
				header('Location: '.$app->scriptPath.'event');
				return;
			}
			
			$view->message = '';
			$this->assign('view', $view);
			$this->display('Views/DSEventAddView.php');
			return;
				
		}
		else if($action == 'edit')
		{

			if($app->requestMethod == 'POST')
			{
				$eventName = $_POST['eventName'];
				
				$id = array_shift($routeArray);
				$event = Event::find($id);
				$event->eventName = $eventName;
				$event->eventTime = date('Y-m-d H:i:s O');
				$event->timestamp = time();
				$event->save();
				
				$view->message = "儲存成功。";
				$view->link = "event";
				
				$this->assign('view', $view);
				$this->display('Views/DSMessageView.php');
				return;
			}
			
			$id = array_shift($routeArray);
			$event = Event::find($id);
	
			$view->event = $event;

			$this->assign('view', $view);
			$this->display('Views/DSEventEditView.php');
			return;			
		}
		else if($action == 'delete')
		{
			if($app->requestMethod == 'POST')
			{
				$id = $_POST['id'];
				
				if($id == 0)
				{
					Event::deleteAll();
					//Event::deleteByConditions('WHERE id=1');
				}
				else
				{
					$event = Event::find($id);
					$event->delete();
				}
				
				$view->message = "已經刪除好了。";
				$view->link = "event";
				$this->assign('view', $view);
				$this->display('Views/DSMessageView.php');

				
				return;
			}			
			
			$view->message = '啊！你要全部刪除？';

			$this->assign('view', $view);
			$this->display('Views/DSEventDeleteView.php');
			return;
		}
		else
		{
			$count = Event::countByConditions('', array());
			$app->debug($count);
			
			$events = Event::findByConditions('ORDER BY id DESC LIMIT ?, ?', array(0, 20));
			
			$view->count = $count;
			$view->events = $events;

			$this->assign('view', $view);
			$this->display('Views/DSEventView.php');
		}	
	}
	
	


}



?>