<?php


class UIApplication
{

	private static $application;	
	
	public static function sharedApplication()
	{
		if(self::$application == null)
		{
			// Late static binding. Need PHP 5.3+ to use get_called_class().
			$className = get_called_class();
			self::$application = new $className;
		}	
		return self::$application;
	} 


	function init()
	{
		echo 'UIApplication init<br/>';
	}
	

	function launch()
	{
		echo 'UIApplication launch<br/>';
	}
	
	
	function route()
	{
		echo 'UIApplication route<br/>';
	}
	
	
	function debug($message)
	{
		echo 'UIApplication debug<br/>';
	}

}


?>